package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 岗位表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "岗位表",description = "")
@TableName("sys_position")
public class SysPosition implements Serializable,Cloneable{
    /** 岗位ID */
    @ApiModelProperty(name = "岗位ID",notes = "")
    @TableId(value = "position_id", type = IdType.ASSIGN_UUID)
    private String positionId ;
    /** 岗位名称 */
    @ApiModelProperty(name = "岗位名称",notes = "")
    private String name ;
    /** 上级岗位 */
    @ApiModelProperty(name = "上级岗位",notes = "")
    private String positionPId ;
    /** 所属单位 */
    @ApiModelProperty(name = "所属单位",notes = "")
    private String orgId ;
    /** 排序 */
    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNum ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}