package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 附件表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "附件表",description = "")
@TableName("ta_attach")
public class TaAttach implements Serializable,Cloneable{
    /** 附件ID */
    @ApiModelProperty(name = "附件ID",notes = "")
    @TableId(value = "attach_id", type = IdType.AUTO)
    private Integer attachId ;
    /** 文件类型 */
    @ApiModelProperty(name = "文件类型",notes = "")
    private String fileType ;
    /** 附件名称 */
    @ApiModelProperty(name = "附件名称",notes = "")
    private String name ;
    /** 附件地址 */
    @ApiModelProperty(name = "附件地址",notes = "")
    private String url ;
    /** 主体类型 */
    @ApiModelProperty(name = "主体类型",notes = "")
    private String ownerType ;
    /** 主体ID */
    @ApiModelProperty(name = "主体ID",notes = "")
    private String ownerId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}