package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 测评标准;
 * @author : http://www.chiner.pro
 * @date : 2023-1-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "测评标准",description = "")
@TableName("ta_check_stand")
public class TaCheckStand implements Serializable,Cloneable{
    /** 标准ID */
    @ApiModelProperty(name = "标准ID",notes = "")
    @TableId(value = "statnd_id", type = IdType.ASSIGN_UUID)
    private String statndId ;
     /** 点位ID */
     @ApiModelProperty(name = "点位ID",notes = "")
     private String locId ;
     /** 点位名称 */
     @ApiModelProperty(name = "点位名称",notes = "")
     private String locName ;
     /** 测评标准 */
     @ApiModelProperty(name = "测评标准",notes = "")
     private String content ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}