package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 机构配置;
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "机构配置",description = "")
@TableName("ta_org_config")
public class TaOrgConfig implements Serializable,Cloneable{
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;
    /** 配置编码 */
    @ApiModelProperty(name = "配置编码",notes = "")
    private String configCode ;
    /** 配置项值 */
    @ApiModelProperty(name = "配置项值",notes = "")
    private String configValue ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;

}