package com.example.civilizedcity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 单位问题单;
 * @author : http://www.chiner.pro
 * @date : 2022-12-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "单位问题单",description = "")
@TableName("ta_org_issue")
public class TaOrgIssue implements Serializable,Cloneable{
    /** 单位问题单ID */
    @ApiModelProperty(name = "单位问题单ID",notes = "")
    @TableId(value = "org_issue_id", type = IdType.AUTO)
    private Integer orgIssueId ;
    /** 问题单ID */
    @ApiModelProperty(name = "问题单ID",notes = "")
    private Integer issueId ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;
     /** 流程节点 */
     @ApiModelProperty(name = "流程节点",notes = "")
     private String processNode ;
    /** 业务单状态 */
    @ApiModelProperty(name = "业务单状态",notes = "")
    private String processStatus ;
     /** 业务单状态 */
     @ApiModelProperty(name = "处理结果",notes = "")
     private String result ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

    @TableField(exist = false)
    @ApiModelProperty(name = "文件列表",notes = "")
    private List<TaAttach> attachList ;

}