package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 问题分类;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "问题分类",description = "")
@TableName("td_issue_type")
public class TdIssueType implements Serializable,Cloneable{
    /** 分类ID */
    @ApiModelProperty(name = "分类ID",notes = "")
    @TableId(value = "type_id", type = IdType.ASSIGN_UUID)
    private String typeId ;
    /** 分类名称 */
    @ApiModelProperty(name = "分类名称",notes = "")
    private String name ;
    /** 排序 */
    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNo ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}