package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 常用统计;
 * @author : http://www.chiner.pro
 * @date : 2023-1-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "常用统计",description = "")
@TableName("ts_stat_data")
public class TsStatData implements Serializable,Cloneable{
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "stat_no", type = IdType.ASSIGN_UUID)
    private Integer statNo ;
    /** 统计类型 */
    @ApiModelProperty(name = "统计类型",notes = "")
    private String statType ;
    /** 指标名称 */
    @ApiModelProperty(name = "指标名称",notes = "")
    private String name ;
    /** 统计值 */
    @ApiModelProperty(name = "统计值",notes = "")
    private Integer value ;

}