package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.SysResource;

import java.util.List;

/**
 * 资源表;(sys_resource)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Mapper
public interface SysResourceMapper extends BaseMapper<SysResource> {

    List<SysResource> getByUser(@Param("userId") String userId);

    List<SysResource> listBy(@Param("typeCode") String typeCode, @Param("roleId") String roleId);
}