package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.SysRoleResource;

import java.util.List;

/**
 * 角色资源;(sys_role_resource)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Mapper
public interface SysRoleResourceMapper  extends BaseMapper<SysRoleResource>{

     SysRoleResource getByRoleAndResource(@Param("roleId") String roleId, @Param("resourceId") String resourceId);

     int deleteNotIn(@Param("roleId") String roleId, @Param("idList") List<Integer> idList);
 }