package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.SysUserDuty;

import java.util.List;

/**
 * 用户身份;(sys_user_duty)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Mapper
public interface SysUserDutyMapper  extends BaseMapper<SysUserDuty>{

     List<String> getListByUser(@Param("userId") String userId);

    SysUserDuty getByUserAndDuty(@Param("userId") String userId, @Param("duty") String duty);

    int deleteNotIn(@Param("userId") String userId, @Param("idList") List<Integer> idList);
}