package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaCheckAnswerItem;

import java.util.List;

/**
 * 测评作答详情;(ta_check_answer_item)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
@Mapper
public interface TaCheckAnswerItemMapper extends BaseMapper<TaCheckAnswerItem> {

    List<TaCheckAnswerItem> getListBy(@Param("answerId") String answerId);

    int getCountByAnswer(@Param("answerId") String answerId);

    List<TaCheckAnswerItem> getListByQu(@Param("quId") String quId,
                                        @Param("isMine") Boolean isMine,
                                        @Param("userId") String userId);

    List<TaCheckAnswerItem> getListByAnswer(@Param("answerId") String answerId);

    long copyItems(@Param("checkId") String checkId);
}