package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaCheckItemQu;

import java.util.List;

/**
 * 点位问题;(ta_check_item_qu)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
@Mapper
public interface TaCheckItemQuMapper  extends BaseMapper<TaCheckItemQu>{

     Integer countByItem(@Param("itemId") String itemId);

     List<TaCheckItemQu> getListBy(@Param("itemId") String itemId);

    long copyItems(@Param("checkId") String checkId);
}