package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaIssueApply;

 /**
 * 问题处理申请;(ta_issue_apply)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-27
 */
@Mapper
public interface TaIssueApplyMapper  extends BaseMapper<TaIssueApply>{

     IPage<TaIssueApply> getPageBy(IPage<TaIssueApply> pg,
                                   @Param("issueId") Integer issueId,
                                   @Param("applyType") String applyType,
                                   @Param("orgId") String orgId,
                                   @Param("sourceType") String sourceType,
                                   @Param("isAll") Boolean isAll);
 }