package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaIssueApply;

 /**
 * 问题处理申请;(ta_issue_apply)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-12-27
 */
public interface TaIssueApplyService extends IBaseService<TaIssueApply> {

     void createNewApply(TaIssueApply taIssueApply, SysUser sysUser) throws Exception;

     IPage<TaIssueApply> getPageBy(IPage<TaIssueApply> pg, Integer issueId, String applyType, String orgId, String sourceType, Boolean isAll);

     void verify(TaIssueApply taIssueApply, SysUser sysUser, TaIssueApply origin) throws Exception;
 }