package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.civilizedcity.entity.TsStatData;
import com.example.civilizedcity.vo.StatVo;

import java.util.List;
import java.util.Map;

/**
 * 常用统计;(ts_stat_data)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2023-1-31
 */
public interface TsStatDataService extends IBaseService<TsStatData> {

     List<StatVo> statIssue(String statType, String startDate, String endDate, Integer num);

    List<StatVo> statIssueOrg(String orgId);

    List<StatVo> statIssueType();

    Map<String, Object> statAdminIndexBanner();

    List<StatVo> statIssueLoc();
}