package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaAttach;
import com.example.civilizedcity.mapper.TaAttachMapper;
import com.example.civilizedcity.service.TaAttachService;

import java.util.List;

/**
 * 附件表;(ta_attach)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class TaAttachServiceImpl extends BaseServiceImpl<TaAttachMapper, TaAttach> implements TaAttachService {

    @Override
    public List<TaAttach> getListBy(String ownerType, String ownerId) {
        return baseMapper.getListBy(ownerType, ownerId);
    }

    @Override
    public boolean deleteNotIn(List<Integer> idList, String ownerType, String ownerId) {
        return baseMapper.deleteNotIn(idList, ownerType, ownerId) > 0;
    }
}