package com.example.civilizedcity.service.impl;

import com.example.civilizedcity.entity.SysUser;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaCheckAnswerItem;
import com.example.civilizedcity.mapper.TaCheckAnswerItemMapper;
import com.example.civilizedcity.service.TaCheckAnswerItemService;

import java.util.List;

/**
 * 测评作答详情;(ta_check_answer_item)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Service
public class TaCheckAnswerItemServiceImpl extends BaseServiceImpl<TaCheckAnswerItemMapper, TaCheckAnswerItem> implements TaCheckAnswerItemService {

    @Override
    public List<TaCheckAnswerItem> getListBy(String quId, Boolean isMine, SysUser sysUser) {
        return baseMapper.getListByQu(quId, isMine, sysUser.getUserId());
    }

    @Override
    public List<TaCheckAnswerItem> getListByAnswer(String answerId) {
        return baseMapper.getListByAnswer(answerId);
    }
}