package com.example.civilizedcity.common;

public class Constants {
    public final static String ROOT_ID = "1";    // 超级管理员ID
    public final static String ROOT_ORG = "1";  // 平台机构

    public final static int STATUS_DELETE = -1;
    public final static int STATUS_READY = 0;
    public final static int STATUS_NORMAL = 1;

    /**
     * 人员身份
     */
    // 督察员
    public final static String DUTY_INSPECTOR = "inspector";
    // 管理员
    public final static String DUTY_MANAGER = "manager";
    // 单位人员
    public final static String DUTY_ORG_USER = "org_user";
    // 单位管理员
    public final static String DUTY_ORG_MANAGER = "org_manager";
    // 查询员
    public final static String DUTY_QUERY_PERSON = "query_person";
    // 市民
    public final static String DUTY_CITIZEN = "citizen";


    /**
     * 资源类型
     */
    // 问题单
    public final static String SOURCE_ISSUE = "issue";
    // 市民上报
    public final static String SOURCE_FEEDBACK = "feedback";
    // 督察员上报
    public final static String SOURCE_INSPECTOR = "inspector";
    // 单位问题单
    public final static String SOURCE_ORG_ISSUE = "org-issue";
    // 测评答案
    public final static String SOURCE_CHECK_ANSWER = "check-answer";
    // 模拟测评
    public final static String SOURCE_CHECK = "check";
    // 审核
    public final static String SOURCE_APPLY = "apply";

    /**
     * 流程节点
     */
    // 待交办
    public final static String PROCESS_START = "01";
    // 交办
    public final static String PROCESS_ASSIGNED = "02";
    // 办结
    public final static String PROCESS_END = "03";
    // 驳回申请
    public final static String PROCESS_APPLY_REJECT = "0201";
    // 延期申请
    public final static String PROCESS_APPLY_DELAY = "0202";
    // 单位审核
    public final static String PROCESS_APPLY_VERIFY = "0203";
    // 办结申请
    public final static String PROCESS_APPLY_END = "0204";

    /**
     * 审核结果
     */
    // 未审核
    public final static String APPLY_READY = "ready";
    // 审核通过
    public final static String APPLY_PASS = "pass";
    // 审核驳回
    public final static String APPLY_REJECT = "reject";

    /**
     * 调查问卷
     */
    // 实地调查
    public final static String CHECK_OF_LOC = "loc";
    // 调查问卷
    public final static String CHECK_OF_SURVEY = "survey";

    /**
     * 问题题型
     */
    // 填空题
    public final static String QU_OF_FILL = "fill";
    // 选择题
    public final static String QU_OF_RADIO = "radio";
}
