package com.example.civilizedcity.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.civilizedcity.common.BaseController;
import com.example.civilizedcity.common.ResponseBean;
import java.util.List;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.example.civilizedcity.entity.SysUserRole;
import com.example.civilizedcity.service.SysUserRoleService;

 /**
 * 角色授权;(sys_user_role)表控制层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Api(tags = "角色授权对象功能接口")
@RestController
@RequestMapping("/")
public class SysUserRoleController extends BaseController {
    
    @Autowired
    private SysUserRoleService sysUserRoleService;
    
//    /**
//     * 通过ID查询单条数据
//     *
//     * @param userId 主键
//     * @return 实例对象
//     */
//    @ApiOperation("通过ID查询单条数据")
//    @GetMapping("/sysUserRole/{id}")
//    public ResponseBean queryById(@ApiParam("对象ID") @PathVariable String id) throws Exception {
//        return ResponseBean.success(sysUserRoleService.getById(id));
//    }
//
//    /**
//     * 分页查询
//     *
//     * @param pageNum 当前页码
//     * @param pageSize 每页条数
//     * @return 查询结果
//     */
//    @ApiOperation("分页查询")
//    @GetMapping("/sysUserRole")
//    public ResponseBean list(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
//                            @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception {
//
//        IPage<SysUserRole> pg = new Page<>(pageNum, pageSize);
//        // QueryWrapper<SysUserRole> queryWrapper = new QueryWrapper<>();
//        // queryWrapper.orderByDesc("create_date");
//        IPage<SysUserRole> result = sysUserRoleService.page(pg);
//
//        return ResponseBean.success(result);
//    }
//
//    /**
//     * 新增数据
//     *
//     * @param sysUserRole 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("新增数据")
//    @PostMapping("/sysUserRole")
//    public ResponseBean add(@ApiParam("对象实体") @RequestBody SysUserRole sysUserRole) throws Exception {
//        sysUserRoleService.save(sysUserRole);
//        return ResponseBean.success(sysUserRole);
//    }
//
//    /**
//     * 更新数据
//     *
//     * @param sysUserRole 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("更新数据")
//    @PutMapping("/sysUserRole/{id}")
//    public ResponseBean edit(@ApiParam("对象实体") @RequestBody SysUserRole sysUserRole,
//                            @ApiParam("对象ID") @PathVariable String id ) throws Exception {
//        sysUserRoleService.updateById(sysUserRole);
//        return ResponseBean.success(sysUserRole);
//    }
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param userId 主键
//     * @return 是否成功
//     */
//    @ApiOperation("通过主键删除数据")
//    @DeleteMapping("/sysUserRole/{id}")
//    public ResponseBean deleteById(@ApiParam("对象ID") @PathVariable String id){
//        sysUserRoleService.removeLogicById(id);
//        return ResponseBean.success("success");
//    }
}