package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 用户身份;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "用户身份",description = "")
@TableName("sys_user_duty")
public class SysUserDuty implements Serializable,Cloneable{
     /** 用户ID */
     @ApiModelProperty(name = "ID",notes = "")
     @TableId(value = "id", type = IdType.AUTO)
     private Integer id ;
    /** 用户ID */
    @ApiModelProperty(name = "用户ID",notes = "")
    private String userId ;
    /** 身份码 */
    @ApiModelProperty(name = "身份码",notes = "")
    private String duty ;

}