package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 问题处理;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "问题处理",description = "")
@TableName("ta_issue_process")
public class TaIssueProcess implements Serializable,Cloneable{
      /** 过程ID */
      @ApiModelProperty(name = "过程ID",notes = "")
      @TableId(value = "process_id", type = IdType.AUTO)
      private Integer processId ;
      /** 问题ID */
      @ApiModelProperty(name = "问题ID",notes = "")
      private Integer issueId ;
       /** 上个流程ID */
       @ApiModelProperty(name = "上个流程ID",notes = "")
       private Integer prevProcess ;
      /** 处理机构 */
      @ApiModelProperty(name = "处理机构",notes = "")
      private String orgId ;
      /** 指定机构 */
      @ApiModelProperty(name = "指定机构",notes = "")
      private String nextOrg ;
      /** 截止时间;YYYY-MM-DD */
      @ApiModelProperty(name = "截止时间",notes = "YYYY-MM-DD")
      private String expireDate ;
      /** 流程节点 */
      @ApiModelProperty(name = "流程节点",notes = "")
      private String processNode ;
      /** 处理结果 */
      @ApiModelProperty(name = "处理结果",notes = "")
      private String processStatus ;
      /** 结果说明 */
      @ApiModelProperty(name = "结果说明",notes = "")
      private String processResult ;
      /** 状态 */
      @ApiModelProperty(name = "状态",notes = "")
      private Integer status ;
      /** 处理人 */
      @ApiModelProperty(name = "处理人",notes = "")
      private String createUser ;
      /** 处理人名称 */
      @ApiModelProperty(name = "处理人名称",notes = "")
      private String userName ;
      /** 创建时间 */
      @ApiModelProperty(name = "创建时间",notes = "")
      private LocalDateTime createDate ;

}