package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 人员映射表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "人员映射表",description = "")
@TableName("ta_person_reflect")
public class TaPersonReflect implements Serializable,Cloneable{
     /** 用户ID */
     @ApiModelProperty(name = "ID",notes = "")
     @TableId(value = "id", type = IdType.AUTO)
     private String id ;
    /** 人员ID */
    @ApiModelProperty(name = "人员ID",notes = "")
    private String personId ;
    /** 用户ID */
    @ApiModelProperty(name = "用户ID",notes = "")
    private String userId ;

}