package com.example.civilizedcity.event;

import com.example.civilizedcity.entity.TaIssue;
import com.example.civilizedcity.entity.TaIssueApply;
import org.springframework.context.ApplicationEvent;

public class MessagEvent extends ApplicationEvent {

    private TaIssueApply taIssueApply = null;
    private TaIssue taIssue = null;

    public MessagEvent(Object source, TaIssue taIssue) {
        super(source);
        this.taIssue = taIssue;
    }

    public MessagEvent(Object source, TaIssueApply taIssueApply) {
        super(source);
        this.taIssueApply = taIssueApply;
    }

    public TaIssue getTaIssue() {
        return taIssue;
    }

    public TaIssueApply getTaIssueApply() {
        return taIssueApply;
    }
}
