package com.example.civilizedcity.event.listener;

import com.example.civilizedcity.event.MessagEvent;
import com.example.civilizedcity.service.TaMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
public class MessagEventListener implements ApplicationListener<MessagEvent> {
    @Autowired
    TaMessageService taMessageService;

    @Override
    public void onApplicationEvent(MessagEvent event) {
        if (null != event.getTaIssue()) {
            taMessageService.sendMessage(event.getTaIssue());
        }

        if (null != event.getTaIssueApply()) {
            taMessageService.sendMessage(event.getTaIssueApply());
        }
    }
}
