package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.SysLogin;

 /**
 * 系统账户表;(sys_login)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Mapper
public interface SysLoginMapper  extends BaseMapper<SysLogin>{
    SysLogin getByAccount(@Param("account") String account);

     SysLogin getByUserAndPassword(@Param("userId") String userId, @Param("password") String password);

     int updatePassword(@Param("userId") String userId, @Param("password") String password);
 }