package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.SysUser;

import java.util.List;

/**
 * 用户表;(sys_user)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Mapper
public interface SysUserMapper  extends BaseMapper<SysUser>{
     List<SysUser> getListByPhone(@Param("phone") String phone);

    long countAll(@Param("rootId") String rootId);
}