package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaAttach;

import java.util.List;

/**
 * 附件表;(ta_attach)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Mapper
public interface TaAttachMapper  extends BaseMapper<TaAttach>{

     List<TaAttach> getListBy(@Param("ownerType") String ownerType,@Param("ownerId") String ownerId);

    long deleteNotIn(@Param("idList") List<Integer> idList,
                     @Param("ownerType") String ownerType,
                     @Param("ownerId") String ownerId);

    long copy(@Param("ownerType") String sourceIssue,
              @Param("fromId") String fromId,
              @Param("toId") String toId);
}