package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaCheckItemAn;

import java.util.List;

/**
 * 项目问题答案;(ta_check_item_an)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-16
 */
@Mapper
public interface TaCheckItemAnMapper extends BaseMapper<TaCheckItemAn> {

    List<TaCheckItemAn> getListBy(@Param("quId") String quId);

    TaCheckItemAn getOneBy(@Param("quId") String quId, @Param("answerCode") String answerCode);
}