package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.example.civilizedcity.entity.SysUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaPerson;

 /**
 * 人员表;(ta_person)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Mapper
public interface TaPersonMapper  extends BaseMapper<TaPerson>{

     SysUser getReflectUser(@Param("personId") String personId);

     TaPerson getByUser(@Param("userId") String userId);

     TaPerson getByUserAndPerson(@Param("userId") String userId, @Param("personId") String personId);
 }