package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.example.civilizedcity.vo.StatVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TsStatData;

import java.util.List;

/**
 * 常用统计;(ts_stat_data)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2023-1-31
 */
@Mapper
public interface TsStatDataMapper  extends BaseMapper<TsStatData>{
    List<StatVo> statIssueDaily(@Param("startDate") String startDate,
                                @Param("endDate") String endDate,
                                @Param("num") Integer num);

    List<StatVo> statIssueMonthly(@Param("startDate") String startDate,
                                  @Param("endDate") String endDate,
                                  @Param("num") Integer num);
}