package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.civilizedcity.entity.SysLogin;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaPerson;
import com.example.civilizedcity.vo.WxChangePwd;

import java.util.Map;

/**
 * 系统账户表;(sys_login)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
public interface SysLoginService extends IBaseService<SysLogin> {

     boolean changePassword(SysUser user, WxChangePwd wxChangePwd);

    Map<String, Object> loginByPerson(TaPerson taPerson);

    void removeByUser(String userId);
}