package com.example.civilizedcity.service;

import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.vo.ChangePassword;
import com.example.civilizedcity.vo.LoginParam;

import java.util.List;

/**
 * 用户表;(sys_user)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
public interface SysUserService extends IBaseService<SysUser> {

    SysUser login(LoginParam loginParm) throws Exception;

    boolean changePassword(SysUser user, ChangePassword param) throws Exception;

    boolean mergeData(SysUser sysUser) throws Exception;

    List<String> getRoleList(String userId);

    List<String> getPermissionList(String userId);

    SysUser getByPhone(String phone, String orgId);

    void createMaUser(SysUser sysUser, SysUser currentUser);
}