package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaCheck;
import com.example.civilizedcity.entity.TaCheckAnswer;
import com.example.civilizedcity.entity.TaCheckItem;
import com.example.civilizedcity.vo.CheckLocExport;

import java.util.List;

/**
 * 测评点位;(ta_check_item)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
public interface TaCheckItemService extends IBaseService<TaCheckItem> {

     IPage<TaCheckItem> getPageBy(IPage<TaCheckItem> pg, String checkId, String itemType);

     void createNewItems(TaCheck taCheck);

     void answer(TaCheckItem taCheckItem, TaCheckAnswer taCheckAnswer, SysUser sysUser) throws Exception;

     boolean updateFullScore(String itemId);

     List<CheckLocExport> getExportByCheck(String checkId, String itemType);

     void updateLoc(String checkId);

     void syncLoc(String checkId);
}