package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.civilizedcity.entity.TaFeedback;
import com.example.civilizedcity.entity.TaIssue;
import com.example.civilizedcity.entity.TaPerson;

/**
 * 反馈表;(ta_feedback)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2023-1-30
 */
public interface TaFeedbackService extends IBaseService<TaFeedback> {

    void createNew(TaFeedback taFeedback, TaPerson taPerson) throws Exception;

    IPage<TaIssue> getPageBy(IPage<TaIssue> pg, String personId, String bizStatus);
}