package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaIssue;
import com.example.civilizedcity.entity.TaIssueProcess;
import com.example.civilizedcity.entity.TaPerson;
import com.example.civilizedcity.vo.StatVo;

import java.util.List;

/**
 * 问题表;(ta_issue)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
public interface TaIssueService extends IBaseService<TaIssue> {

     IPage<TaIssue> getPageBy(IPage<TaIssue> pg, String orgId);

     void updateValidateStatus(Integer issueId, int validateStatus);

     void updateApply(Integer issueId, String applyType, Integer applyId);

     List<StatVo> statMaIndex(SysUser user, TaPerson person, String duty);

    void updateEnd(SysUser sysUser, String orgId, Integer issueId);

    void createNew(TaIssue taIssue, SysUser user) throws Exception;

    void updateIssue(TaIssue taIssue, TaIssue origin) throws Exception;

    void reject(TaIssue taIssue, TaIssueProcess taIssueProcess, SysUser user) throws Exception;

    TaIssue copyIssue(TaIssue origin, SysUser sysUser);
}