package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaIssue;
import com.example.civilizedcity.entity.TaIssueProcess;
import com.example.civilizedcity.entity.TaOrgIssue;

import java.util.List;
import java.util.Map;

/**
 * 单位问题单;(ta_org_issue)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-12-28
 */
public interface TaOrgIssueService extends IBaseService<TaOrgIssue> {

     IPage<TaIssue> getIssuePageBy(IPage<TaIssue> pg, Map<String, Object> params);

     void createNewIssue(TaIssue taIssue, TaIssueProcess taIssueProcess, SysUser sysUser) throws Exception;

     TaOrgIssue getByIssueAndOrg(Integer issueId, String orgId);

     void updateData(TaOrgIssue taOrgIssue) throws Exception;

     List<TaIssue> getIssueListBy(Map<String, Object> params);

     void removeByIssueId(String issueId);
}