package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaPerson;

 /**
 * 人员表;(ta_person)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
public interface TaPersonService extends IBaseService<TaPerson> {

     TaPerson getByOpenId(String openid);

     SysUser getReflectUser(TaPerson taPerson);

     TaPerson getByUser(SysUser sysUser);

     TaPerson getByUserAndPerson(SysUser user, String personId);
 }