package com.example.civilizedcity.service.impl;

import cn.dev33.satoken.stp.StpInterface;
import com.example.civilizedcity.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class StpInterfaceImpl implements StpInterface {

    @Autowired
    SysUserService sysUserService;

    @Override
    public List<String> getPermissionList(Object loginId, String loginType) {
        return sysUserService.getPermissionList(loginId.toString());
    }

    @Override
    public List<String> getRoleList(Object loginId, String loginType) {
        return sysUserService.getRoleList(loginId.toString());
    }
}
