package com.example.civilizedcity.service.impl;

import com.example.civilizedcity.common.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.SysUserDuty;
import com.example.civilizedcity.mapper.SysUserDutyMapper;
import com.example.civilizedcity.service.SysUserDutyService;

import java.util.List;

/**
 * 用户身份;(sys_user_duty)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class SysUserDutyServiceImpl extends BaseServiceImpl<SysUserDutyMapper, SysUserDuty> implements SysUserDutyService {

    @Override
    public List<String> getListByUser(String userId) {
        return baseMapper.getListByUser(userId);
    }
}