package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TdLocType;
import com.example.civilizedcity.mapper.TdLocTypeMapper;
import com.example.civilizedcity.service.TdLocTypeService;
 /**
 * 点位分类;(td_loc_type)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class TdLocTypeServiceImpl extends BaseServiceImpl<TdLocTypeMapper, TdLocType> implements TdLocTypeService {
  @Override
  public IPage<TdLocType> pageAsc(IPage<TdLocType> pg) {
   IPage<TdLocType> result = (IPage<TdLocType>) baseMapper.sortAsc(pg);
   return result;
  }
}